Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[qt overlay] Qt beta and live ebuilds & Qt4 apps
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 10, 11, 12 ... 14, 15, 16  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Mon Jan 18, 2010 8:46 pm    Post subject: Reply with quote

Sorry, I just noticed that you use stable-branch. I removed the patch from this repo as it fails for me as well
Back to top
View user's profile Send private message
SpectreDragon
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2008
Posts: 92
Location: Germany

PostPosted: Mon Jan 18, 2010 8:53 pm    Post subject: Reply with quote

Hwoarang wrote:
Sorry, I just noticed that you use stable-branch. I removed the patch from this repo as it fails for me as well

ok, thanks.
Back to top
View user's profile Send private message
Nonsense
n00b
n00b


Joined: 03 Dec 2009
Posts: 74

PostPosted: Fri Jan 29, 2010 9:31 am    Post subject: Reply with quote

Hi all,

i am currently trying to implement KDE ( QT-creator).
However, i encountered this problem
Quote:

Code:

emerge layman



wget: unable to to resolve host address `freefr.dl.sourceforge.net'
!!!couldn't download 'PyXML-0.8.4.tar.gz' . Aborting.
* Fetch failed for 'dev-python/pyxml-0.8.4-r2',Log file:
*'/var/tmp/portage/dev-python/pyxml-0.8.4-r2/temp/build.log'

>>> Failed to emerge dev-python/pyxml-0.8.4-r2, Log file:
>>> '/var/tmp/portage/dev-python/pyxml-0.8.4-r2/temp/build.log'
* Messages for package dev-python/pyxml-0.8.4-r2:

*Fetch failed for /dev-python/pyxml-0.8.4-r2', Log file:
* '/var/tmp/portage/dev-python/pyxml-0.8.4-r2/temp/build.log'



Please advice. Thankz
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Fri Jan 29, 2010 8:30 pm    Post subject: Reply with quote

How is this related to qting-edge overlay?

Probably your mirror is broken. Next time try to post on a more related thread

Thanks
Back to top
View user's profile Send private message
SpectreDragon
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2008
Posts: 92
Location: Germany

PostPosted: Sun Feb 21, 2010 1:45 pm    Post subject: Reply with quote

jfyi
Code:
 * Digest verification failed:
 * /var/lib/layman/qting-edge/dev-util/qt-creator/qt-creator-9999.ebuild
 * Reason: Filesize does not match recorded size
 * Got: 3161
 * Expected: 3108
Back to top
View user's profile Send private message
SpectreDragon
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2008
Posts: 92
Location: Germany

PostPosted: Fri Mar 12, 2010 12:52 am    Post subject: Reply with quote

sorry for double posting but..
.. will there be any ebuilds for the published 4.7 tech preview? :D :D :D

(can't resist to try out qt declarative, guess that it is included in the tech preview)
(of course same for the QtCreator 2.0 alpha :lol: )
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Mon Mar 15, 2010 4:42 pm    Post subject: Reply with quote

Qt-4.7-Tech-Preview is in a really bad shape so I dont know if we ever gonna ship it. I would advice you to use the 4.7.9999 ebuilds instead ( Plz note that KDE-4.4.1 is incompatible with Qt-4.7 atm )
Back to top
View user's profile Send private message
SpectreDragon
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2008
Posts: 92
Location: Germany

PostPosted: Tue Mar 16, 2010 10:14 pm    Post subject: Reply with quote

Hwoarang wrote:
Qt-4.7-Tech-Preview is in a really bad shape so I dont know if we ever gonna ship it. I would advice you to use the 4.7.9999 ebuilds instead ( Plz note that KDE-4.4.1 is incompatible with Qt-4.7 atm )

thanks. qt 4.7.9999[stable-branch] compiles fine.

Just had to fix a few small issues and kde 4.4.1 just finished compiling using Qt 4.7 :)
Back to top
View user's profile Send private message
SpectreDragon
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2008
Posts: 92
Location: Germany

PostPosted: Sat Apr 10, 2010 3:56 pm    Post subject: Reply with quote

hm, I get this when I try to compile qt-assistant-4.7.9999 for a while now:

Code:
make[1]: Leaving directory `/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/tools/qdoc3'
(cd /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/tools/qdoc3/test && QT_BUILD_TREE=/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999 QT_SOURCE_TREE=/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999 /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qdoc3 qt-build-docs.qdocconf)
(cd /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/tools/qdoc3/test && QT_BUILD_TREE=/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999 QT_SOURCE_TREE=/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999 /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qdoc3 qt-api-only.qdocconf assistant.qdocconf designer.qdocconf linguist.qdocconf qmake.qdocconf qdeclarative.qdocconf) && (cd /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999 && /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qhelpgenerator doc-build/html-qt/qt.qhp -o doc/qch/qt.qch && /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qhelpgenerator doc-build/html-assistant/assistant.qhp -o doc/qch/assistant.qch && /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qhelpgenerator doc-build/html-designer/designer.qhp -o doc/qch/designer.qch && /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qhelpgenerator doc-build/html-linguist/linguist.qhp -o doc/qch/linguist.qch && /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qhelpgenerator doc-build/html-qmake/qmake.qhp -o doc/qch/qmake.qch && /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qhelpgenerator doc-build/html-qml/qml.qhp -o doc/qch/qml.qch )
/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/src/plugins/accessible/widgets/simplewidgets.cpp:605: '\reimp' in imageDescription() should be '\internal' because its base function is private or internal

... several other warning ...

/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/doc/src/declarative/focus.qdoc:42: Cannot link to 'QEvent::ignore()' in qdeclarativefocus.html
/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/doc/src/declarative/focus.qdoc:42: Cannot link to 'QEvent::ignore()' in qdeclarativefocus.html
/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/doc/src/declarative/focus.qdoc:42: Cannot link to 'QEvent::ignore()' in qdeclarativefocus.html
/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qhelpgenerator: symbol lookup error: /usr/lib64/qt4/libQtGui.so.4: undefined symbol: _ZN20QEventDispatcherGlib16staticMetaObjectE
make: *** [qch_docs] Error 127


looks like qhelpgenerator crashes because of some problem with QtGui xD?
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sat Apr 10, 2010 9:25 pm    Post subject: Reply with quote

We are aware of the problem but we are unable to found the source of the problem ( yet ) :?
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1604
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Sat Apr 10, 2010 11:19 pm    Post subject: Reply with quote

I've used the kde-qt use flag and haven't noticed any updates from git for a month or so now. Normal or something missing in git related to this use flag? On 4.6.9999 here btw. I don't really need the kde patches (if they exist) I just want to follow the stable branch plus latest patches going towards the next stable point release.

Code:

[ebuild   R   ] x11-libs/qt-core-4.6.9999  USE="exceptions glib iconv kde-qt qt3support ssl (-aqua) -debug -doc -optimized-qmake -pch -stable-branch" 0 kB [1]

_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sat Apr 10, 2010 11:31 pm    Post subject: Reply with quote

The ebuilds are fine but I am not aware of the kde-qt repository status. I am strictly use 4.6.9999[-kde-qt] 8)
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Sun Apr 11, 2010 1:56 am    Post subject: Reply with quote

There have been updates, see http://qt.gitorious.org/+kde-developers/qt/kde-qt/commits/4.6-stable-patched
Maybe because of some recent changes in the git.eclass your source is not getting updated? Try removing the relevant directory under git-src in your distfiles, to start with a fresh clone.
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1604
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Sun Apr 11, 2010 5:45 am    Post subject: Reply with quote

Thanks for the tip, I started with a fresh git-src but I did notice that it says it's on the same commit as it thought it was on before I started.

Code:

2a04fab5642164f8af42f5fd41b31885f9d77549                branch 'master' of git://gitorious.org/+kde-developers/qt/kde-qt


Just diff'd the new source and the old source i moved out of the way, not much difference...

Code:

diff -u /usr/portage/distfiles/git-src/qt-4.6.9999//config ./qt-4.6.9999//config
--- /usr/portage/distfiles/git-src/qt-4.6.9999//config  2010-04-10 22:10:25.092671401 -0700
+++ ./qt-4.6.9999//config       2010-04-10 20:29:29.668546276 -0700
@@ -1,6 +1,2 @@
-[core]
-       repositoryformatversion = 0
-       filemode = true
-       bare = true
 [remote "origin"]
        url = git://gitorious.org/+kde-developers/qt/kde-qt.git
Common subdirectories: /usr/portage/distfiles/git-src/qt-4.6.9999//hooks and ./qt-4.6.9999//hooks
Common subdirectories: /usr/portage/distfiles/git-src/qt-4.6.9999//info and ./qt-4.6.9999//info
Common subdirectories: /usr/portage/distfiles/git-src/qt-4.6.9999//objects and ./qt-4.6.9999//objects
diff -u /usr/portage/distfiles/git-src/qt-4.6.9999//packed-refs ./qt-4.6.9999//packed-refs
--- /usr/portage/distfiles/git-src/qt-4.6.9999//packed-refs     2010-04-10 21:09:16.379546325 -0700
+++ ./qt-4.6.9999//packed-refs  2010-02-26 20:50:48.560149389 -0800
@@ -1,6 +1,4 @@
 # pack-refs with: peeled
-7db8b0989f9491c602eb0f9a405bc1964d8b0935 refs/tags/v4.7.0-tp1
-^e6915dd9103ad7bc1621c0c708738d33eebd5e95
 ab74ff97d829385a02ca3a972a0591d1af99a10f refs/tags/v4.6.2
 ^244b440f11a519bbd0f6a2c5cde90edb1732f2ea
 a9940fb30227de169d0853055cd57f5852d44a10 refs/tags/v4.6.1
@@ -19,7 +17,6 @@
 ^4b2b47ac6c9fe284dce45cf33ff674d7110c1619
 5fde7aaedd332393e9b8f6bcff9869ed5c0cca77 refs/tags/v4.5.1
 ^8cfb0638c650b906fc0ddede4e5c1c391e81307c
-c62c06cf0deba9661f39c0d5aa79181274298496 refs/heads/patches/0290-graphicssystem-environment-var
 93e9a494c1720aa64e70d11a465028e09eccd201 refs/heads/patches/0253-qmake_correct_path_separators
 77e7acc841d412eff7d2693e7445f12ab7956b29 refs/heads/patches/0250-out_of_source_build
 88300b961bec2d4a5063f6221dbeee4f77a72150 refs/heads/patches/0225-invalidate-tabbar-geometry-on-refresh
@@ -31,13 +28,13 @@
 e3138f341a93a74360fd9b557dca819ce98f4950 refs/heads/notsafe/0231-mac-plugins
 1bd3851417f7a069c0fb45a5010edb76f52fc812 refs/heads/notsafe/0171-qmake-lib-prefix-mingw
 2fe948e8b008c5e89a5a6ecb85bc73beeaed695e refs/heads/notsafe/0107-qmodelindex_isvalid
-2a04fab5642164f8af42f5fd41b31885f9d77549 refs/heads/master
+62cda737405d0f2163094c44189cfd71ca3c576a refs/heads/master
 751d05c0917b8514e1b8a19be136c68b846da106 refs/heads/README
-2d3d3e55da2e1dfc479e274fa794a50b361e6f4a refs/heads/4.6.2-patched
+0ad4a1fb85b7809941e897101358338de3ecdb8f refs/heads/4.6.2-patched
 b6caee7f97502502e175ff889d717ea1fd3052fa refs/heads/4.6.1-patched
 735a8776d1fc05a98d5ab24e36ff7025d38d9622 refs/heads/4.6.0-patched
 5dd4cdb76b4add2337bc06268ce1ad4429483c32 refs/heads/4.6.0-beta1-patched
-e2219412ec3ac09a9327ad323261cb31f4795915 refs/heads/4.6-stable-patched
+3f77b60af0d6c05fdeea55ea812edba50d8f9895 refs/heads/4.6-stable-patched
 063bded33b417cdf92fd51366fc7fdb06dea00ba refs/heads/4.5.3-patched
 c058368ca3c8ecb24dc34fd4078c8b04c72156f0 refs/heads/4.5.2-patched
 547f2e8761fae39c9819765963743dd05e6871db refs/heads/4.5.1-patched
Common subdirectories: /usr/portage/distfiles/git-src/qt-4.6.9999//refs and ./qt-4.6.9999//refs

_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sun Apr 11, 2010 11:16 am    Post subject: Reply with quote

SpectreDragon wrote:
hm, I get this when I try to compile qt-assistant-4.7.9999 for a while now:

Code:
make[1]: Leaving directory `/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/tools/qdoc3'
(cd /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/tools/qdoc3/test && QT_BUILD_TREE=/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999 QT_SOURCE_TREE=/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999 /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qdoc3 qt-build-docs.qdocconf)
(cd /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/tools/qdoc3/test && QT_BUILD_TREE=/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999 QT_SOURCE_TREE=/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999 /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qdoc3 qt-api-only.qdocconf assistant.qdocconf designer.qdocconf linguist.qdocconf qmake.qdocconf qdeclarative.qdocconf) && (cd /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999 && /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qhelpgenerator doc-build/html-qt/qt.qhp -o doc/qch/qt.qch && /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qhelpgenerator doc-build/html-assistant/assistant.qhp -o doc/qch/assistant.qch && /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qhelpgenerator doc-build/html-designer/designer.qhp -o doc/qch/designer.qch && /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qhelpgenerator doc-build/html-linguist/linguist.qhp -o doc/qch/linguist.qch && /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qhelpgenerator doc-build/html-qmake/qmake.qhp -o doc/qch/qmake.qch && /var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qhelpgenerator doc-build/html-qml/qml.qhp -o doc/qch/qml.qch )
/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/src/plugins/accessible/widgets/simplewidgets.cpp:605: '\reimp' in imageDescription() should be '\internal' because its base function is private or internal

... several other warning ...

/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/doc/src/declarative/focus.qdoc:42: Cannot link to 'QEvent::ignore()' in qdeclarativefocus.html
/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/doc/src/declarative/focus.qdoc:42: Cannot link to 'QEvent::ignore()' in qdeclarativefocus.html
/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/doc/src/declarative/focus.qdoc:42: Cannot link to 'QEvent::ignore()' in qdeclarativefocus.html
/var/tmp/portage/x11-libs/qt-assistant-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999/bin/qhelpgenerator: symbol lookup error: /usr/lib64/qt4/libQtGui.so.4: undefined symbol: _ZN20QEventDispatcherGlib16staticMetaObjectE
make: *** [qch_docs] Error 127


looks like qhelpgenerator crashes because of some problem with QtGui xD?

Sync again please

Maybe sure you enable glib use flag on qt-assistant if you have it enabled on qt-gui as well
Back to top
View user's profile Send private message
SpectreDragon
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2008
Posts: 92
Location: Germany

PostPosted: Sun Apr 11, 2010 2:26 pm    Post subject: Reply with quote

Hwoarang wrote:
SpectreDragon wrote:
...

Sync again please

Maybe sure you enable glib use flag on qt-assistant if you have it enabled on qt-gui as well

thx, compiles without any problems now :)
Back to top
View user's profile Send private message
SpectreDragon
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2008
Posts: 92
Location: Germany

PostPosted: Mon Apr 12, 2010 12:26 am    Post subject: Reply with quote

after upgrading to media-libs/mesa-7.8.1 I get this for x11-libs/qt-opengl-4.7.9999

Code:
...
compiling qglpixelbuffer.cpp
In file included from ../../include/QtOpenGL/private/../../../src/opengl/qglpixelbuffer_p.h:64,
                 from ../../include/QtOpenGL/private/qglpixelbuffer_p.h:1,
                 from qglpixelbuffer.cpp:86:
/usr/include/GL/glx.h:204: error: ‘Bool’ has not been declared
/usr/include/GL/glx.h:208: error: ‘Bool’ does not name a type
/usr/include/GL/glx.h:221: error: ‘Bool’ does not name a type
/usr/include/GL/glx.h:223: error: ‘Bool’ does not name a type
/usr/include/GL/glx.h:225: error: ‘Bool’ does not name a type
/usr/include/GL/glx.h:287: error: ‘Bool’ has not been declared
/usr/include/GL/glx.h:289: error: ‘Bool’ does not name a type
/usr/include/GL/glx.h:315: error: ‘Bool’ has not been declared
In file included from ../../include/QtOpenGL/private/../../../src/opengl/qglpixelbuffer_p.h:64,
                 from ../../include/QtOpenGL/private/qglpixelbuffer_p.h:1,
                 from qglpixelbuffer.cpp:86:
/usr/include/GL/glx.h:316: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glx.h:316: error: ‘PFNGLXMAKECONTEXTCURRENTPROC’ was not declared in this scope
In file included from /usr/include/GL/glx.h:346,
                 from ../../include/QtOpenGL/private/../../../src/opengl/qglpixelbuffer_p.h:64,
                 from ../../include/QtOpenGL/private/qglpixelbuffer_p.h:1,
                 from qglpixelbuffer.cpp:86:
/usr/include/GL/glxext.h:420: error: ‘Bool’ does not name a type
In file included from /usr/include/GL/glx.h:346,
                 from ../../include/QtOpenGL/private/../../../src/opengl/qglpixelbuffer_p.h:64,
                 from ../../include/QtOpenGL/private/qglpixelbuffer_p.h:1,
                 from qglpixelbuffer.cpp:86:
/usr/include/GL/glxext.h:548: error: ‘Bool’ has not been declared
/usr/include/GL/glxext.h:587: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:587: error: ‘PFNGLXMAKECURRENTREADSGIPROC’ was not declared in this scope
/usr/include/GL/glxext.h:636: error: ‘Bool’ has not been declared
/usr/include/GL/glxext.h:706: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:706: error: ‘PFNGLXQUERYMAXSWAPBARRIERSSGIXPROC’ was not declared in this scope
/usr/include/GL/glxext.h:714: error: typedef ‘Status’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:714: error: ‘PFNGLXGETTRANSPARENTINDEXSUNPROC’ was not declared in this scope
/usr/include/GL/glxext.h:738: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:738: error: ‘PFNGLXRELEASEBUFFERSMESAPROC’ was not declared in this scope
/usr/include/GL/glxext.h:746: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:746: error: ‘PFNGLXSET3DFXMODEMESAPROC’ was not declared in this scope
/usr/include/GL/glxext.h:766: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:766: error: ‘PFNGLXGETSYNCVALUESOMLPROC’ was not declared in this scope
/usr/include/GL/glxext.h:767: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:767: error: ‘PFNGLXGETMSCRATEOMLPROC’ was not declared in this scope
/usr/include/GL/glxext.h:769: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:769: error: ‘PFNGLXWAITFORMSCOMLPROC’ was not declared in this scope
/usr/include/GL/glxext.h:770: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:770: error: ‘PFNGLXWAITFORSBCOMLPROC’ was not declared in this scope
/usr/include/GL/glxext.h:888: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:888: error: ‘PFNGLXJOINSWAPGROUPNVPROC’ was not declared in this scope
/usr/include/GL/glxext.h:889: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:889: error: ‘PFNGLXBINDSWAPBARRIERNVPROC’ was not declared in this scope
/usr/include/GL/glxext.h:890: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:890: error: ‘PFNGLXQUERYSWAPGROUPNVPROC’ was not declared in this scope
/usr/include/GL/glxext.h:891: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:891: error: ‘PFNGLXQUERYMAXSWAPGROUPSNVPROC’ was not declared in this scope
/usr/include/GL/glxext.h:892: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:892: error: ‘PFNGLXQUERYFRAMECOUNTNVPROC’ was not declared in this scope
/usr/include/GL/glxext.h:893: error: typedef ‘Bool’ is initialized (use decltype instead)
/usr/include/GL/glxext.h:893: error: ‘PFNGLXRESETFRAMECOUNTNVPROC’ was not declared in this scope
In file included from ../../include/QtOpenGL/private/../../../src/opengl/qglpixelbuffer_p.h:64,
                 from ../../include/QtOpenGL/private/qglpixelbuffer_p.h:1,
                 from qglpixelbuffer.cpp:86:
/usr/include/GL/glx.h:393: error: ‘Bool’ does not name a type
/usr/include/GL/glx.h:394: error: ‘Bool’ does not name a type
/usr/include/GL/glx.h:395: error: ‘Bool’ does not name a type
/usr/include/GL/glx.h:510: error: ‘Bool’ does not name a type
/usr/include/GL/glx.h:523: error: ‘Bool’ does not name a type
make: *** [.obj/release-shared/qglpixelbuffer.o] Error 1
make: *** Waiting for unfinished jobs....


works with media-libs/mesa-7.7.1

Wonder if anyone knows something about this :?

//edit
wow that was fast. just synced and qt-opengl is now blocking mesa. so I guess it is an issue with Qt :(

//edit^2
just found the corresponding bug entry: http://bugreports.qt.nokia.com/browse/QTBUG-9691
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Mon Apr 12, 2010 7:36 pm    Post subject: Reply with quote

http://qt.gitorious.org/qt/qt/merge_requests/2363

Seems the bug is gone. We will test the ebuild again and update accordingly
Back to top
View user's profile Send private message
SpectreDragon
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2008
Posts: 92
Location: Germany

PostPosted: Mon Apr 12, 2010 8:02 pm    Post subject: Reply with quote

Hwoarang wrote:
http://qt.gitorious.org/qt/qt/merge_requests/2363

Seems the bug is gone. We will test the ebuild again and update accordingly

Tried the patch locally and it worked here. But seems that it is not merged yet.
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1604
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Wed Apr 21, 2010 4:45 pm    Post subject: still no updates Reply with quote

I'm still not getting updates and I know there are updates in git. Using kde-qt 4.6.9999.

http://qt.gitorious.org/+kde-developers/qt/kde-qt/commits/4.6-stable-patched
Quote:

Thiago Macieira pushed 91 commits to +kde-developers/qt/kde-qt:4.6-stable-patched
thiago pushed 91 commits to +kde-developers/qt/kde-qt:4.6-stable-patched

4.6-stable-patched changed from 478e992 to 1756069

Thiago Macieira 1756069: Merge remote branch 'public/4.6-stable' into 4.6-stable-patched
Qt Continuous Integration System fb44c5b: Merge branch '4.6' of scm.dev.nokia.troll.no:qt/oslo-staging-1 into 4.6-...
Aaron Kennedy d397b62: Doc
Qt Continuous Integration System d3d2a48: Merge branch '4.6' of scm.dev.nokia.troll.no:qt/oslo-staging-1 into 4.6-...
Qt Continuous Integration System 4ebc4ab: Merge branch '4.6' of scm.dev.nokia.troll.no:qt/qt-s60-public into 4.6-i...
Oswald Buddenhagen b7e6c28: create magic comment messages in "finished" state
Oswald Buddenhagen d758d65: make QT_TR_NOOP work in static initializers
Oswald Buddenhagen 2c0f13c: make HashString and HashStringList objects smaller
Oswald Buddenhagen 32aadef: remove pointless manual assignments from token type enum
Qt Continuous Integration System 0398173: Merge branch '4.6' of scm.dev.nokia.troll.no:qt/oslo-staging-1 into 4.6-...
Iain 1933243: Merge branch '4.6' of scm.dev.nokia.troll.no:qt/qt-s60-public into 4.6
Iain 0d20ec5: Update EABI and BWINS DEF files for Symbian
Qt Continuous Integration System 7dc1b7b: Merge branch '4.6' of scm.dev.nokia.troll.no:qt/qt-s60-public into 4.6-i...
Iain f14ae11: Update WebKit DEF files on Symbian
Qt Continuous Integration System de1c505: Merge branch '4.6' of scm.dev.nokia.troll.no:qt/oslo-staging-2 into 4.6-...
f62d8eb: Add translation context to qsTr() benchmark
45ec585: QtScript: Add autotest for enumeration of QMetaObject properties
Qt Continuous Integration System 43e9b68: Merge branch '4.6' of scm.dev.nokia.troll.no:qt/oslo-staging-1 into 4.6-...
Iain 81837e4: Symbol visibility fixes for RVCT4 on Symbian
Iain b2271d3: Symbol visibility fixes for RVCT4 on Symbian
Iain a7ded57: Symbol visibility fixes for RVCT4 on Symbian
Yoann Lopes 0caad7d: Fixes auto-test failure for 9da13ea53aec6d841ba7f416531d6c52d4368df4.
Markus Goetz 0a93295: QNAM HTTP: Pipelining changes
Qt Continuous Integration System 9ecd481: Merge branch '4.6' of scm.dev.nokia.troll.no:qt/qt-s60-public into 4.6-i...
3fdf7e7: '#' gets inserted to editor when changing FEP modes
a0b2992: ComboBox popuplist is not correctly layouted in fullscreen mode

_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Thu Apr 22, 2010 6:16 pm    Post subject: Reply with quote

Drop your /usr/portage/distfiles/git-src/qt-4.6.9999 and try again plz
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1604
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Thu Apr 22, 2010 8:22 pm    Post subject: Reply with quote

Hwoarang wrote:
Drop your /usr/portage/distfiles/git-src/qt-4.6.9999 and try again plz


I've done that before, no change except as noted in a previous post above when I diff'd the two sources.
_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Fri Apr 23, 2010 12:43 pm    Post subject: Reply with quote

Since I can't reproduce it either me or anybody else who is testing 4.6.9999 packages I would say to give as a build.log output ( not a whole one, just after the source unpacking )
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1604
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Fri Apr 23, 2010 3:27 pm    Post subject: Reply with quote

Hwoarang wrote:
Since I can't reproduce it either me or anybody else who is testing 4.6.9999 packages I would say to give as a build.log output ( not a whole one, just after the source unpacking )


Code:

* CPV:  x11-libs/qt-core-4.6.9999
 * REPO: qting-edge
 * USE:  amd64 elibc_glibc exceptions glib iconv kde-qt kernel_linux multilib qt3support ssl userlan
d_GNU
 *
 * Please file bugs on bugs.gentoo.org and prepend the summary
 * with [qting-edge]. Alternatively, contact <qt@gentoo.org>.
 * Thank you for using qting-edge overlay.
 *

 * The 4.6.9999 version ebuilds with kde-qt USE flag install kde-qt from gitorious kde-qt repository
.

>>> Unpacking source...
 * GIT update -->
 *    repository:               git://gitorious.org/+kde-developers/qt/kde-qt.git
 *    at the commit:            2a04fab5642164f8af42f5fd41b31885f9d77549
 *    branch:                   master
 *    storage directory:        "/usr/portage/distfiles/git-src/qt-4.6.9999"
Initialized empty Git repository in /var/tmp/portage/x11-libs/qt-core-4.6.9999/work/qt-everywhere-op
ensource-src-4.6.9999/.git/
>>> Unpacked to /var/tmp/portage/x11-libs/qt-core-4.6.9999/work/qt-everywhere-opensource-src-4.6.999
9
>>> Source unpacked in /var/tmp/portage/x11-libs/qt-core-4.6.9999/work
>>> Preparing source in /var/tmp/portage/x11-libs/qt-core-4.6.9999/work/qt-everywhere-opensource-src
-4.6.9999 ...

_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1604
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Mon Apr 26, 2010 5:10 pm    Post subject: Reply with quote

So I either had 'stable-branch' use flag at some point and it went away due to changes that had it enabled or I just had some glitch that had me on the patched branch instead of master with only kde-qt.

After reading the eclass in the overlay I know what I need but it just isn't clear what changed and I've looked at all the commits to qting-edge for the last couple of months and still don't see anything that would of caused this. I really can't see how I would of missed the stable-branch flag getting dropped either since I always emerge with -v. I also use the @qt-all-4.6-live-kde set too btw.
_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 10, 11, 12 ... 14, 15, 16  Next
Page 11 of 16

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum